#
# spec file for package Maelstrom (Version 3.0.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel alsa audiofile esound gpp kdelibs-artsd libgpp xf86
# usedforbuild    SDL SDL-devel aaa_base aaa_dir alsa audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd kdelibs-artsd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         Maelstrom
Copyright:    GPL
Group:        X11/Games/Video
Provides:     maelstr 
Obsoletes:    maelstr 
Autoreqprov:  on
Version:      3.0.1
Release:      193
Summary:      A high-quality Asteroids-Clone
URL:	      http://www.devolution.com/~slouken/Maelstrom/index.html
Source: Maelstrom-%{version}.tar.bz2
Patch: Maelstrom.dif
Patch1: Maelstrom-ia64.patch
BuildRoot:    /var/tmp/%{name}-build

%description
You are on space patrol. Blast asteroids, fight UFOs, get extra-weapons.
Beware of supernovae and black holes.

Authors:
--------
    Sam Lantinga <slouken@cs.ucdavis.edu>

SuSE series: fun

%prep
%setup -n Maelstrom-%{version} 
%patch
%patch1

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr/share --bindir=/usr/games
make          

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/games
make prefix=$RPM_BUILD_ROOT/usr/share bindir=$RPM_BUILD_ROOT/usr/games install
mv $RPM_BUILD_ROOT/usr/share/games/Maelstrom/Maelstrom-Scores \
   $RPM_BUILD_ROOT/var/games 
ln -sf /var/games/Maelstrom-Scores \
   $RPM_BUILD_ROOT/usr/share/games/Maelstrom/Maelstrom-Scores       
rm -rf Docs/Makefile*

%files
%defattr(-,root,root)
%attr(2755, games, game)/usr/games/Maelstrom 
/usr/games/Maelstrom-netd 
/usr/games/macres 
/usr/games/playwave 
/usr/games/snd2wav
/usr/share/games/Maelstrom
%attr(664, games, game)/var/games/Maelstrom-Scores
%doc Docs/*

%clean
rm -rf "$RPM_BUILD_ROOT"

%changelog -n Maelstrom
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <kdelibs kdelibs-devel> to <kdelibs-artsd>
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Wed Jun 20 2001 - nadvornik@suse.cz
- added kdelibs and kdelibs-devel to neededforbuild
* Thu Apr 19 2001 - nadvornik@suse.cz
- fixed cast from pointer to integer
* Mon Mar 26 2001 - ro@suse.de
- changed neededforbuild <sdl> to <sdl sdl-devel>
* Wed Feb 21 2001 - uli@suse.de
- added alsa to neededforbuild (reqd. by new SDL)
* Sun Jan 21 2001 - sf@suse.de
- added '#include <string.h>' to make it compile on IA64
* Wed Nov 15 2000 - nadvornik@suse.cz
- renamed maelstr -> Maelstrom
* Sun Nov 05 2000 - kukuk@suse.de
- adjust neededforbuild
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
- used bzip2
* Fri Jun 02 2000 - nadvornik@suse.cz
- added docs
- binary-> /usr/games, data-> /usr/share/games, score-> /var/games
- fixed permissons
* Mon May 22 2000 - nadvornik@suse.cz
- changed group
* Thu Mar 16 2000 - nadvornik@suse.cz
- update to version 3.0.1
- added BuildRoot
* Mon Jan 24 2000 - ro@suse.de
- fixed to compile
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Oct 06 1998 - ro@suse.de
- vga_framebuf.c include termios.h for glibc
* Fri Oct 17 1997 - 
- now works with (a)build
* Sun Jun 08 1997 - rj@suse.de
- new package version 1.4.3
